/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.nec.connexive.thingpark.token.verifier;

import java.util.HashMap;
import java.util.Map;

public class ConfigReader {
    private static final Map<String, String> envMap = new HashMap<>();

    private static final Map<String, String> sysMap = new HashMap<>();
    
    private static String lrcAsKey = "";
    
    static {
        for (ConfigAttribute config : ConfigAttribute.values()) {
            /* 環境変数Config */
            envMap.put(config.name(), SystemEnvWrapper.getenv(config.getEnvName()));
            /* システムプロパティのConfig */
            sysMap.put(config.name(), SystemPropertyWrapper.getprop(config.getSysPropName()));
        }

        overwriteEnv();
        overwriteSysProp();
    }

    private ConfigReader() {
    }

    public static String getLrcAsKey() {
        return lrcAsKey;
    }
    
    private static void overwriteEnv() {
        lrcAsKey = getValue(envMap.get(ConfigAttribute.THINGPARK_LRC_AS_KEY.name()),lrcAsKey);
    }

    private static void overwriteSysProp() {
        lrcAsKey = getValue(sysMap.get(ConfigAttribute.THINGPARK_LRC_AS_KEY.name()),lrcAsKey);
    }
    
    private static String getValue(String value, String defaultValue) {
        if(value != null && !value.isEmpty()) {
            return value;
        } else {
            return defaultValue;
        }
    }
}
