package com.nec.connexive.thingpark.token.verifier;

import java.util.HashMap;
import java.util.Map;

/**
 *
 */
public class SystemEnvWrapper {

    private static Map<String, String> env = new HashMap<>();

    static {
        try {
            Map<String, String> original = System.getenv();
            env = new HashMap<>(original);
        } catch (Exception e) {
            System.err.println("Failed to get environment variables.");
        }
    }

    private SystemEnvWrapper() {
        // do not create instance.
    }

    public static String getenv(String key) {
        return env.get(key);
    }

    public static void setenv(String key, String value) {
        env.put(key, value);
    }

    public static void clearenv(String key) {
        env.remove(key);
    }

    public static Map<String, String> getenv() {
        return env;
    }

    public static boolean containsKey(String key){
        return env.containsKey(key);
    }

}
